var EXPORTED_SYMBOLS = ["BooleanChangesList"];

function BooleanChangesList() {
  this.changes = {};
}

BooleanChangesList.prototype.changes = null;
BooleanChangesList.prototype.setChange = function(id, value, metadata) {
  if ( ! (id in this.changes) ) {
    this.changes[id] = {value: value, metadata: metadata};
    return ;
  }
  if ( this.changes[id].value !== value ) {
    delete this.changes[id];
  }
};

BooleanChangesList.prototype.getChanges = function() {
  return this.changes;
};